package old

import "github.com/fonchain/fonchain-artistinfo/cmd/model"

// User 用户模型
type ArtistInfo struct {
	model.Model
	UserId          uint   `gorm:"not null default:0" json:"userId"`
	ArtistId        string `gorm:"type:varchar(256) default ''" json:"artistId"`
	BankAccount     string `gorm:"type:varchar(25) not null" json:"bankAccount"`
	BankName        string `gorm:"type:varchar(25) not null" json:"bankName"`
	Introduct       string `gorm:"type:text not null" json:"introduct"`
	CountryArtLevel string `gorm:"type:varchar(256) default ''" json:"countryArtLevel"`
	ArtistCertPic   string `gorm:"type:varchar(256) default ''" json:"artistCertPic"`
	Remark          string `gorm:"type:varchar(256) default ''" json:"remark"`
	Remark2         string `gorm:"type:varchar(256) default ''" json:"remark2"`
	State           uint   `gorm:"not null default:0" json:"state"`
}

func (a ArtistInfo) TableName() string {
	return "sys_artist_info"
}
